petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscHIPInitialize

Initializes HIP (eagerly in PetscInitialize() or soon after PetscInitialize()) and hipBLAS/hipSPARSE libraries on the device

### Synopsis

    PETSC_EXTERN PetscErrorCode PetscHIPInitialize(MPI_Comm comm,PetscInt device)

Logically collective

### Input Parameter

(see notes)

### Options Database

(see notes)

### Notes

The functionality, parameters and options database of this routine are similar to that of PetscCUDAInitialize(), except that the option names are -hip_device, -hip_view, -hip_synchronize instead. See manpage of PetscCUDAInitialize() for details.

.seealso: PetscHIPInitializeCheck(), PetscCUDAInitialize(), PetscCUDAInitializeCheck()

### Level

beginner

### Location

src/sys/objects/cupminit.inc
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages